.newsletter-modal {

	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background: rgba(0,0,0,0.8);
	z-index: 9999999999;
	display: none;

	.newsltter-modal--modal {

		width: 850px;
		max-width: 100%;
		position: absolute;
		top: 50%;
		left: 50%;
		transform: translate(-50%, -50%);
		border-radius: 6px;
		background: var(--forest-green);
		overflow: hidden;

		@media screen and (max-width: 768px) {
			border-radius: 0;
			top: auto;
			bottom: 0;
			left: 0;
			transform: translate(0, 0);
		}

		.newsltter-modal--modal-flex {

			display: flex;
			align-items: center;

			@media screen and (max-width: 768px) {
				flex-wrap: wrap;
				align-items: flex-start;
			}

			.modal--image {

				width: 50%;

				@media screen and (max-width: 768px) {
					width: 100%;
					padding: 14px 14px 0 14px;
				}

				img {
					width: 100%;
					height: unset;
					aspect-ratio: 1/1;
					object-fit: cover;
					@media screen and (max-width: 768px) {
						aspect-ratio: 1/0.6;
						border-radius: 6px;
					}
				}

			}

			.modal--form {

				color: var(--off-white);
				padding: 0 30px;
				width: 50%;

				@media screen and (max-width: 768px) {
					width: 100%;
					padding: 20px;
				}

				.close-icon {
					position: absolute;
					top: 20px;
					right: 20px;
					cursor: pointer;
					@media screen and (max-width: 768px) {
						background: var(--forest-green);
						border-radius: 6px;
						width: 40px;
						height: 40px;
						display: flex;
						justify-content: center;
						align-items: center;
					}
				}

				a {
					color: var(--off-white);
				}

				.form--success-msg {
					color: var(--fresh-green);
				}

				.block-title {
					margin: 0 0 12px 0;
				}

				.block-desc {
					margin: 0 0 30px 0;
				}

				.form--success-msg {}

				.field {

					input {
						margin: 0 0 12px 0;
						width: 100%;
						border: none;
						background: var(--off-white);
					}

					.btn {}

				}

				.form--disclaimer {
					font-size: 10px;
					margin: 18px 0 0 0;
					@media screen and (max-width: 768px) {
						text-align: center;
					}
				}

			}

		}

	}

}